Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Sound3D Class Reference

3Dサウンド More...

`#include <Sound3D.h>`

Inheritance diagram for Lamp::Sound3D:

List of all members.

## Public Member Functions
virtual bool | play ()
| 再生
virtual void | setPosition (const Vector3 &position)
| 位置の設定
virtual const Vector3 & | getPosition () const
| 位置の取得
virtual void | setVelocity (const Vector3 &velocity)
| 速度の設定
virtual const Vector3 & | getVelocity () const
| 速度の取得
virtual void | setPositionAndVelocity (const Vector3 &position, float millisecond)
| 位置と速度の設定
virtual void | setMinimumDistance (float minimumDistance)
| 最小距離の設定
virtual float | getMinimumDistance () const
| 最小距離の取得
virtual void | setMaximumDistance (float maximumDistance)
| 最大距離の設定
virtual float | getMaximumDistance () const
| 最大距離の取得
virtual void | setDistance (float minimumDistance, float maximumDistance)
| 距離の設定
virtual void | setConeDirection (const Vector3 &coneDirection)
| コーンの向きの設定
virtual const Vector3 & | getConeDirection () const
| コーンの向きの取得
virtual void | setConeAngle (float insideConeAngle, float outsideConeAngle)
| コーン角度の設定
virtual float | getInsideConeAngle () const
| 内側コーン角度の取得
virtual float | getOutsideConeAngle () const
| 外側コーン角度の取得
virtual void | setConeOutsideVolume (float coneOutsideVolume)
| コーン外側ボリュームの設定
virtual float | getConeOutsideVolume () const
| コーン外側ボリュームの取得
virtual void | set3DEnabled (bool enabled)
| 3Dの有効、無効設定
virtual bool | is3DEnabled () const
| 3Dが有効か
virtual void | apply3DSettings ()
| 3D設定の適用
virtual void | reset (Reset flags)
| リセット
virtual String | toString () const
| 文字列への変換
virtual bool | isSound3D () const
| 3Dサウンドかどうか
## Protected Member Functions
| Sound3D (DirectSoundBuffer *soundBuffer)
| コンストラクタ
virtual | ~Sound3D ()
| デストラクタ
virtual void | copySound3DData (Sound3D *destination)
| 3Dサウンドデータのコピー

## Detailed Description

3Dサウンド

Definition at line 36 of file Sound3D.h.

## Constructor & Destructor Documentation

Lamp::Sound3D::Sound3D | ( | DirectSoundBuffer * | soundBuffer | ) | `[protected]`

  | コンストラクタ Parameters:
  soundBuffer | サウンドバッファ
Definition at line 34 of file Sound3D.cpp. References Assert, Lamp::Sound::decibelToVolume(), DirectSound3DBufferInterfaceID, DirectXFailed, ErrorOut, NULL, and Lamp::Vector3::set().

## Member Function Documentation

void Lamp::Sound3D::apply3DSettings | ( |  | ) | `[virtual]`

| 3D設定の適用 通常はLampSound::presentation()から呼ばれます。 Definition at line 183 of file Sound3D.cpp. Referenced by play().

void Lamp::Sound3D::copySound3DData | ( | Sound3D * | destination | ) | `[protected, virtual]`

  | 3Dサウンドデータのコピー Parameters:
  destination | コピー先3Dサウンド
Definition at line 69 of file Sound3D.cpp. References Lamp::SoundBuffer::copySoundBufferData(). Referenced by Lamp::StaticSound3D::clone().

virtual const Vector3& Lamp::Sound3D::getConeDirection | ( |  | ) | const`[inline, virtual]`

| コーンの向きの取得 Returns: コーンの向き Definition at line 132 of file Sound3D.h.

virtual float Lamp::Sound3D::getConeOutsideVolume | ( |  | ) | const`[inline, virtual]`

| コーン外側ボリュームの取得 Returns: コーン外側ボリューム Definition at line 165 of file Sound3D.h.

virtual float Lamp::Sound3D::getInsideConeAngle | ( |  | ) | const`[inline, virtual]`

| 内側コーン角度の取得 Returns: ラジアンによる内側コーン角度 Definition at line 146 of file Sound3D.h.

virtual float Lamp::Sound3D::getMaximumDistance | ( |  | ) | const`[inline, virtual]`

| 最大距離の取得 Returns: 最大距離 Definition at line 108 of file Sound3D.h. Referenced by Lamp::SoundCache::SoundArray::toString().

virtual float Lamp::Sound3D::getMinimumDistance | ( |  | ) | const`[inline, virtual]`

| 最小距離の取得 Returns: 最小距離 Definition at line 96 of file Sound3D.h. Referenced by Lamp::SoundCache::SoundArray::toString().

virtual float Lamp::Sound3D::getOutsideConeAngle | ( |  | ) | const`[inline, virtual]`

| 外側コーン角度の取得 Returns: ラジアンによる外側コーン角度 Definition at line 152 of file Sound3D.h.

virtual const Vector3& Lamp::Sound3D::getPosition | ( |  | ) | const`[inline, virtual]`

| 位置の取得 Returns: 位置 Definition at line 63 of file Sound3D.h.

virtual const Vector3& Lamp::Sound3D::getVelocity | ( |  | ) | const`[inline, virtual]`

| 速度の取得 Returns: 速度 Definition at line 75 of file Sound3D.h.

virtual bool Lamp::Sound3D::is3DEnabled | ( |  | ) | const`[inline, virtual]`

| 3Dが有効か Returns: 3Dが有効ならtrue Definition at line 178 of file Sound3D.h.

virtual bool Lamp::Sound3D::isSound3D | ( |  | ) | const`[inline, virtual]`

| 3Dサウンドかどうか Returns: 3Dサウンドならtrue Reimplemented from Lamp::Sound. Definition at line 211 of file Sound3D.h.

virtual bool Lamp::Sound3D::play | ( |  | ) | `[inline, virtual]`

| 再生 Returns: 正常に再生されればtrue Reimplemented from Lamp::SoundBuffer. Reimplemented in Lamp::StreamSound3D. Definition at line 45 of file Sound3D.h. References apply3DSettings(). Referenced by Lamp::SoundCache::playSound3D().

void Lamp::Sound3D::reset | ( | Reset | flags | ) | `[virtual]`

  | リセット Parameters:
  flags | リセットフラグ
Reimplemented from Lamp::Sound. Definition at line 190 of file Sound3D.cpp. References set3DEnabled(), setConeAngle(), setConeDirection(), setConeOutsideVolume(), setDistance(), setPosition(), and setVelocity(). Referenced by Lamp::SoundCache::playSound3D().

void Lamp::Sound3D::set3DEnabled | ( | bool | enabled | ) | `[virtual]`

  | 3Dの有効、無効設定 Parameters:
  enabled | 3Dが有効ならtrue
Definition at line 171 of file Sound3D.cpp. References DirectXFailed, ErrorOut, and u_int. Referenced by reset().

void Lamp::Sound3D::setConeAngle | ( | float | insideConeAngle,
|  | float | outsideConeAngle
| ) | `[virtual]`

  | コーン角度の設定 Parameters:
  insideConeAngle | 内側コーン角度をラジアンで指定
  outsideConeAngle | 外側コーン角度をラジアンで指定
Definition at line 144 of file Sound3D.cpp. References Assert, DirectXFailed, ErrorOut, and u_int. Referenced by reset().

void Lamp::Sound3D::setConeDirection | ( | const Vector3 & | coneDirection | ) | `[virtual]`

  | コーンの向きの設定 Parameters:
  coneDirection | コーンの向き
Definition at line 133 of file Sound3D.cpp. References DirectXFailed, ErrorOut, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by reset().

void Lamp::Sound3D::setConeOutsideVolume | ( | float | coneOutsideVolume | ) | `[virtual]`

  | コーン外側ボリュームの設定 Parameters:
  coneOutsideVolume | コーン外側ボリュームを0.fから1.fの間で指定
Definition at line 160 of file Sound3D.cpp. References DirectXFailed, ErrorOut, and Lamp::Sound::volumeToDecibel(). Referenced by reset().

virtual void Lamp::Sound3D::setDistance | ( | float | minimumDistance,
|  | float | maximumDistance
| ) | `[inline, virtual]`

  | 距離の設定 Parameters:
  minimumDistance | 最小距離
  maximumDistance | 最大距離
Definition at line 115 of file Sound3D.h. References Assert, setMaximumDistance(), and setMinimumDistance(). Referenced by Lamp::SoundCache::loadStaticSound3D(), and reset().

void Lamp::Sound3D::setMaximumDistance | ( | float | maximumDistance | ) | `[virtual]`

  | 最大距離の設定 Parameters:
  maximumDistance | 最大距離
Definition at line 121 of file Sound3D.cpp. References Assert, DirectXFailed, and ErrorOut. Referenced by setDistance().

void Lamp::Sound3D::setMinimumDistance | ( | float | minimumDistance | ) | `[virtual]`

  | 最小距離の設定 Parameters:
  minimumDistance | 最小距離
Definition at line 110 of file Sound3D.cpp. References Assert, DirectXFailed, and ErrorOut. Referenced by setDistance().

void Lamp::Sound3D::setPosition | ( | const Vector3 & | position | ) | `[virtual]`

  | 位置の設定 Parameters:
  position | 位置
Definition at line 76 of file Sound3D.cpp. References DirectXFailed, ErrorOut, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by Lamp::SoundCache::playSound3D(), reset(), and setPositionAndVelocity().

void Lamp::Sound3D::setPositionAndVelocity | ( | const Vector3 & | position,
|  | float | millisecond
| ) | `[virtual]`

  | 位置と速度の設定 Parameters:
  position | 位置
  millisecond | 前回からの時間をミリ秒で設定
Definition at line 96 of file Sound3D.cpp. References Assert, setPosition(), and setVelocity().

void Lamp::Sound3D::setVelocity | ( | const Vector3 & | velocity | ) | `[virtual]`

  | 速度の設定 Parameters:
  velocity | 速度
Definition at line 86 of file Sound3D.cpp. References DirectXFailed, ErrorOut, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by reset(), and setPositionAndVelocity().

String Lamp::Sound3D::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Reimplemented from Lamp::Sound. Definition at line 206 of file Sound3D.cpp. References Lamp::String::format(), Lamp::SoundBuffer::getBufferSize(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

The documentation for this class was generated from the following files:

- Sound3D.h
- Sound3D.cpp